Bug 2402 - Add support for NDS Universal Password
Add support for NDS Universal Password
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.11
All Linux
: P3 enhancement
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 14:44 UTC by Vince Brimhall
Modified: 2005-08-24 10:16 UTC (History)
1 user (show)

See Also:


Attachments
Adds update_login_attempts to passdb interface (4.25 KB, patch)
2005-03-01 14:46 UTC, Vince Brimhall
no flags Details
Patch: add support for NDS flavour of LDAP and Universal Password (8.10 KB, patch)
2005-03-01 14:47 UTC, Vince Brimhall
no flags Details
New file: (pdb_nds.c) NDS extension for pdb_ldap.c (23.02 KB, text/plain)
2005-03-01 14:49 UTC, Vince Brimhall
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vince Brimhall 2005-03-01 14:44:25 UTC
Patch to add support for Novell Directory Services (NDS) Universal Password. The
attached patches add support for reading the Universal and Simple Passwords
stored in NDS for authentication to samba.

The first patch adds a function to the passdb interface, update_login_attempts.
This function allows the passdb backend to analyze the authentication and samba
result in updating internal passdb counters and giving the passdb the final say
on authentication. This allows backends such as pdb_nds to apply internal NDS
password policies to the user.

The seconds patch adds pdb_nds.c and modifies pdb_ldap.c to add the NDS specific
LDAP passdb backend. The source for ldapnmasext.so has been incorporated in
pdb_nds.c to avoid dynamically loading the library and importing the functions.

pdb_ldap.c and pdb_nds.c share struct ldapsam_privates, so I've moved it to
includes.h.

pdb_nds.c calls functions in pdb_ldap.c so they're no longer static but are unique.
Comment 1 Vince Brimhall 2005-03-01 14:46:26 UTC
Created attachment 997 [details]
Adds update_login_attempts to passdb interface
Comment 2 Vince Brimhall 2005-03-01 14:47:10 UTC
Created attachment 998 [details]
Patch: add support for NDS flavour of LDAP and Universal Password
Comment 3 Vince Brimhall 2005-03-01 14:49:35 UTC
Created attachment 999 [details]
New file: (pdb_nds.c) NDS extension for pdb_ldap.c

This attachment should be placed in source/passdb as pdb_nds.c and shoud
accompany attachment #998 [details].
Comment 4 Jeremy Allison 2005-03-01 15:12:42 UTC
Great work - thanks ! There are a few changes I'd make to configure.in to config
this correctly, plus I'm not sure this'd work on systems where the new logon
attempts pdb interface isn't defined (we need to catch and ignore the
NT_STATUS_NOT_IMPLEMENTED here I think) but this looks really nice solid work !

Thanks,

Jeremy.
Comment 5 Jeremy Allison 2005-03-04 18:24:29 UTC
Applied (with slight modifications for Samba portability etc).
Thanks a *lot* ! Vince - please test to make sure this works
as desired in SVN.
Jeremy.
Comment 6 Vince Brimhall 2005-03-10 09:29:47 UTC
SVN source tested and verified.

Thanks Jeremy!
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:16:59 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.